Subject: Re: [3/4] kevent: AIO, aio_sendfile() implementation.

From: Ulrich Drepper <[email-masked]>
Date: Wed, 26 Jul 2006 07:28:51 -0700

Christoph Hellwig wrote:
>> My personal opinion on existing AIO is that it is not the right design.
>> Benjamin LaHaise agree with me (if I understood him right),
> 
> I completely agree with that aswell.

I agree, too, but the current code is not the last of the line.  Suparna
has a st of patches which make the current kernel aio code work much
better and especially make it really usable to implement POSIX AIO.

In Ottawa we were talking about submitting it and Suparna will.  We just
thought about a little longer timeframe.  I guess it could be
accelerated since he mostly has the patch done.  But I don't know her
schedule.

Important here is, don't base any decision on the current aio
implementation.

-- 
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖